Get Patches Tab Report

For API version information, refer to the API Version History section.

V1.0 | V2.0

V1.0

Use this API to get a Patches tab report that matches the filters provided for Windows and Linux platforms.

Note: The API rate limit is 10 requests per hour per customer. 

GET/pm/v1/report/patch

Input ParametersInput Parameters

Parameter

Mandatory/Optional

Data Type

Description

havingQuery

Optional

string

Specify a QQL to filter patches based on asset search criteria.

For example, name: windowsasset1

query

Optional

string

Specify a QQL to filter patches based on search criteria.

For example, isSecurity:true Append the QQL (patchStatus:[Missing,Installed] and isSuperseded:false) to filter the latest missing and installed patches.

sort

Optional

string

Sort the patch values by certain data.

For example,  [{"vendorSeverity":"asc"}]

Sample - Get Patches tab reportSample - Get Patches tab report

API request

    
        curl -X GET 
        "https://<QualysBaseURL>/pm/v1/report/patch?havingQuery=tags.name%3A%20%60Cloud%20Agent%60&platform=Windows&query=rebootRequired%3A%20true%20and%20%28patchStatus%3A%20%5BMissing%2C%20Installed%5D%20and%20isSuperseded%3A%20false%29&sort=%5B%7B%22vendorSeverity%22%3A%22asc%22%7D%5D" -H "accept: application/json" -H "Authorization: Bearer <<jwt token>>"
    

Response

    
        {
    "reportId": "ba7fa6f8-a5cd-40ed-85ce-eacb4191abef"
}
    

V2.0

GET/pm/v2/report/patch

In this version, the Get Patches Report API has been enhanced to allow you to provide only the required columns and generate a customized patches report based to the filters provided in the input. All columns are selected by default, but you can modify and provide only the required columns. 

If you provide an empty request body and null parameters, the API will generate a report including all the columns. 

Input ParametersInput Parameters

Parameter

Mandatory/Optional

Data Type

Description

havingQuery

Optional

string

Specify a QQL to filter patches based on asset search criteria.

For example, name: windowsasset1

query

Optional

string

Specify a QQL to filter patches based on search criteria.

For example, isSecurity:true Append the QQL (patchStatus:[Missing,Installed] and isSuperseded:false) to filter the latest missing and installed patches.

sort

Optional

string

Sort the patch values by certain data.

For example,  [{"vendorSeverity":"asc"}]

reportFormat Mandatory string Specify the value as PDF/CSV.

Sample - Get Patches ReportSample - Get Patches Report

API Request

curl -X 'POST' \
  '<qualys_base_url>/pm/v2/report/patch' 
  -H 'accept: application/json' 
  -H 'Authorization: Bearer <JWT_Token>
  -H 'Content-Type: application/json' 
  -d

API Body

'{
  "name": "Patch Report",
  "description": "Patch report description",
  "platform": "Windows",
  "query": "patch.vendorSeverity:Important",
  "havingQuery": "asset.isLicensed:true",
  "reportFormat": "CSV"
  "columnsToDisplay": {
    "patch": [
      "rowId",
      "patchId",
      "patchTitle",
      "publishedDate",
      "rebootRequired",
      "architecture",
      "bulletin",
      "kb",
      "category",
      "qid",
      "cve",
      "severity",
      "patchStatus",
      "assetId",
      "assetName",
      "operatingSystem",
      "assetStatus",
      "isEsuPatch"
    ]
  }
}'

API Response

{
 "reportId": "7cc93f88-70be-4076-83e8-7a0f45b684dc"
}

API Version History

API Version API Status Release Date
/pm/v1/report/patch To be deprecated July 2026
/pm/v2/report/patch Active October 2025